Name:           perl-Crypt-Cracklib
Version:        1.7
Release:    2%{?dist}
Summary:        Crypt-Cracklib - Perl interface to Alec Muffett's Cracklib
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Crypt-Cracklib
Source0:        https://cpan.metacpan.org/modules/by-module/Crypt/Crypt-Cracklib-%{version}.tar.gz
Patch0:         Crypt-Cracklib-1.7-Fix-building-on-Perl-without-dot-in-INC.patch
Patch1:         Crypt-Cracklib-1.7-Detect-gzipped-dictionary.patch
BuildRequires:  coreutils
BuildRequires:  cracklib-devel
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(inc::Module::Install)
BuildRequires:  perl(DynaLoader)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  cracklib-dicts
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod) >= 1.00
BuildRequires:  perl(Test::Pod::Coverage) >= 1.08

%description
This module providers interaction with the system cracklib libraries.

%prep
%setup -q -n Crypt-Cracklib-%{version}

%patch0

%patch1 -p1

rm -rf inc/

%build
perl Makefile.PL INSTALLDIRS=vendor --skipdeps < /dev/null
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -name Cracklib.bs -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorarch}/auto/Crypt/
%{perl_vendorarch}/Crypt/
%{_mandir}/man3/Crypt::Cracklib.3*

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.7-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7-1
- initial build
